<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme and one
 * of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query,
 * e.g., it puts together the home page when no home.php file exists.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @since 1.0.0
 */

get_header();
?>

<div id="primary" class="content-area row">

	<div id="content" <?php radar_content_class(); ?> role="main">
	<?php
		if ( have_posts() ) :
			// Start the Loop.
			while ( have_posts() ) : the_post();

				/*
				 * Include the post format-specific template for the content. If you want to
				 * use this in a child theme, then include a file called called content-___.php
				 * (where ___ is the post format) and that will be used instead.
				 */
				get_template_part( 'parts/content', get_post_format() );

			endwhile;
			// Previous/next post navigation.
			radar_paging_nav();

		else :
			// If no content, include the "No posts found" template.
			get_template_part( 'parts/content', 'none' );

		endif;
	?>
				
	</div><!-- #content -->
	
	<?php if ( have_posts() ) get_sidebar(); ?>
</div><!-- #primary -->

<?php
get_footer();
